diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index 986a5401..d14c3d1f 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -247,16 +247,16 @@ define('misc.bgprocess', [
         if (self.notify && !self.details) {
           if (!self.notifier) {
             var header = $('<div></div>', {
-                class: 'h5 pg-bg-notify-header',
+                class: 'pg-bg-notify-header',
               }).append($('<span></span>').text(_.unescape(self.desc))),
-              content = $('<div class="pg-bg-bgprocess row"></div>').append(
+              content = $('<div class="pg-bg-bgprocess"></div>').append(
                 header
               ).append(
                 $('<div></div>', {
-                  class: 'pg-bg-notify-body h6',
+                  class: 'pg-bg-notify-body',
                 }).append(
                   $('<div></div>', {
-                    class: 'pg-bg-start col-xs-12',
+                    class: 'pg-bg-start',
                   }).append(
                     $('<div></div>').text(self.stime.toString())
                   ).append(
@@ -265,7 +265,7 @@ define('misc.bgprocess', [
                 )
               ),
               for_details = $('<div></div>', {
-                class: 'col-xs-12 text-center pg-bg-click h6',
+                class: 'text-center pg-bg-click',
               }).append(
                 $('<span></span>').text(gettext('Click here for details.'))
               ).appendTo(content),
@@ -274,11 +274,13 @@ define('misc.bgprocess', [
               ).appendTo(header);
 
             $('<div></div>', {
-              class: 'pg-bg-status col-xs-12 h5 ' + ((self.exit_code === 0) ?
+              class: 'pg-bg-status ' + ((self.exit_code === 0) ?
                 'bg-success' : (self.exit_code == 1) ?
                 'bg-failed' : ''),
             }).appendTo(content);
 
+            $('<div></div>').appendTo(content);
+
             self.container = content;
             self.notifier = Alertify.notify(
               content.get(0), 'bg-bgprocess', 0, null
@@ -534,23 +536,23 @@ define('misc.bgprocess', [
           showTitle: true,
           isCloseable: true,
           isPrivate: true,
-          content: '<div class="bg-process-details col-xs-12">' +
+          content: '<div class="bg-process-details">' +
             '<p class="bg-detailed-desc"></p>' +
             '<div class="bg-process-stats">' +
             '<span><b>' + gettext('Start time') + ': </b>' +
             '<span class="bgprocess-start-time"></span>' +
             '</span></div>' +
             '</div>' +
-            '<div class="bg-process-watcher col-xs-12">' +
-            '</div>' +
-            '<div class="bg-process-footer col-xs-12">' +
-            '<div class="bg-process-status col-xs-6">' +
-            '<span><b>' + gettext('Status') + ':</b></span><p></p>' +
-            '</div>' +
-            '<div class="bg-process-exec-time col-xs-6">' +
-            '<div class="exec-div pull-right">' +
-            '<span><b>' + gettext('Execution time') + ':</b></span><p></p>' +
+            '<div class="bg-process-watcher">' +
             '</div>' +
+            '<div class="bg-process-footer row">' +
+              '<div class="bg-process-status col-6">' +
+              '<span><b>' + gettext('Status') + ':</b></span><p></p>' +
+              '</div>' +
+              '<div class="bg-process-exec-time col-6">' +
+              '<div class="exec-div pull-right">' +
+              '<span><b>' + gettext('Execution time') + ':</b></span><p></p>' +
+              '</div>' +
             '</div>' +
             '</div>',
           onCreate: function(myPanel, $container) {
diff --git a/web/pgadmin/misc/depends/static/js/depends.js b/web/pgadmin/misc/depends/static/js/depends.js
index 278b33ec..54de1f3d 100644
--- a/web/pgadmin/misc/depends/static/js/depends.js
+++ b/web/pgadmin/misc/depends/static/js/depends.js
@@ -213,9 +213,9 @@ define('misc.depends', [
       $(panel[0]).data('node-prop', cache_flag);
 
       // Hide the grid container and show the default message container
-      if (!$gridContainer.hasClass('hidden'))
-        $gridContainer.addClass('hidden');
-      $msgContainer.removeClass('hidden');
+      if (!$gridContainer.hasClass('d-none'))
+        $gridContainer.addClass('d-none');
+      $msgContainer.removeClass('d-none');
 
       if (node) {
         msg = messages[1];
@@ -248,16 +248,16 @@ define('misc.depends', [
           }
 
           // Hide message container and show grid container.
-          $msgContainer.addClass('hidden');
-          $gridContainer.removeClass('hidden');
+          $msgContainer.addClass('d-none');
+          $gridContainer.removeClass('d-none');
 
           var timer = setTimeout(function() {
             // notify user if request is taking longer than 1 second
 
             $msgContainer.text(gettext('Retrieving data from the server...'));
-            $msgContainer.removeClass('hidden');
+            $msgContainer.removeClass('d-none');
             if ($gridContainer) {
-              $gridContainer.addClass('hidden');
+              $gridContainer.addClass('d-none');
             }
           }, 1000);
 
@@ -267,9 +267,9 @@ define('misc.depends', [
             reset: true,
             success: function() {
               clearTimeout(timer);
-              $gridContainer.removeClass('hidden');
-              if (!$msgContainer.hasClass('hidden')) {
-                $msgContainer.addClass('hidden');
+              $gridContainer.removeClass('d-none');
+              if (!$msgContainer.hasClass('d-none')) {
+                $msgContainer.addClass('d-none');
               }
             },
             error: function(coll, xhr, error, message) {
diff --git a/web/pgadmin/misc/file_manager/static/js/create_dialogue.js b/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
index c640473a..027f9cc3 100644
--- a/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
+++ b/web/pgadmin/misc/file_manager/static/js/create_dialogue.js
@@ -30,6 +30,13 @@ module.exports =  Alertify.dialog('createModeDlg', function() {
           maximizable: false,
           closable: false,
           movable: true,
+          padding: !1,
+          overflow: !1,
+          model: 0,
+          resizable: true,
+          pinnable: false,
+          modal: false,
+          autoReset: false,
         },
       };
     },
diff --git a/web/pgadmin/misc/file_manager/static/js/select_dialogue.js b/web/pgadmin/misc/file_manager/static/js/select_dialogue.js
index 5d24d8fb..84e3f115 100644
--- a/web/pgadmin/misc/file_manager/static/js/select_dialogue.js
+++ b/web/pgadmin/misc/file_manager/static/js/select_dialogue.js
@@ -48,12 +48,16 @@ module.exports =  Alertify.dialog('fileSelectionDlg', function() {
     },
     prepare: function() {
       var self = this;
+
       self.$container.find('.storage_content').remove();
       self.$container.append('<div class=\'storage_content\'></div>');
 
       var content = self.$container.find('.storage_content');
       content.empty();
 
+      // Add our class to alertify
+      $(this.elements.body.childNodes[0]).addClass('alertify_tools_dialog_properties');
+
       $.get(url_for('file_manager.index'), function(data) {
         content.append(data);
       });
@@ -93,6 +97,13 @@ module.exports =  Alertify.dialog('fileSelectionDlg', function() {
           maximizable: false,
           closable: false,
           movable: true,
+          padding: !1,
+          overflow: !1,
+          model: 0,
+          resizable: true,
+          pinnable: false,
+          modal: false,
+          autoReset: false,
         },
       };
     },
@@ -124,10 +135,11 @@ module.exports =  Alertify.dialog('fileSelectionDlg', function() {
     build: function() {
       this.$container = $('<div class="storage_dialog file_selection_dlg"></div>');
       this.elements.content.appendChild(this.$container.get(0));
+      Alertify.pgDialogBuild.apply(this);
     },
     hooks: {
       onshow: function() {
-        $(this.elements.body).addClass('pgadmin-storage-body');
+//        $(this.elements.body).addClass('pgadmin-storage-body');
       },
     },
   };
diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index e27d810d..9ee2d6ea 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -779,7 +779,7 @@ define('pgadmin.misc.explain', [
           role: 'group',
         }).appendTo(container),
         zoomInBtn = $('<button></button>', {
-          class: 'btn pg-explain-zoom-btn badge',
+          class: 'btn btn-secondary pg-explain-zoom-btn badge',
           title: 'Zoom in',
           tabindex: 0,
         }).appendTo(zoomArea).append(
@@ -787,7 +787,7 @@ define('pgadmin.misc.explain', [
             class: 'fa fa-search-plus',
           })),
         zoomToNormal = $('<button></button>', {
-          class: 'btn pg-explain-zoom-btn badge',
+          class: 'btn btn-secondary pg-explain-zoom-btn badge',
           title: 'Zoom to original',
           tabindex: 0,
         }).appendTo(zoomArea).append(
@@ -795,7 +795,7 @@ define('pgadmin.misc.explain', [
             class: 'fa fa-arrows-alt',
           })),
         zoomOutBtn = $('<button></button>', {
-          class: 'btn pg-explain-zoom-btn badge',
+          class: 'btn btn-secondary pg-explain-zoom-btn badge',
           title: 'Zoom out',
           tabindex: 0,
         }).appendTo(zoomArea).append(
@@ -804,13 +804,13 @@ define('pgadmin.misc.explain', [
           }));
 
       var statsArea = $('<div></div>', {
-        class: 'pg-explain-stats-area btn-group hidden',
+        class: 'pg-explain-stats-area d-none',
         role: 'group',
       }).appendTo(container);
 
       $('<button></button>', {
         id: 'btn-explain-stats',
-        class: 'btn pg-explain-stats-btn badge',
+        class: 'btn btn-secondary pg-explain-stats-btn badge',
         title: 'Statistics',
         tabindex: 0,
       }).appendTo(statsArea).append(
diff --git a/web/pgadmin/misc/static/explain/js/explain_statistics.js b/web/pgadmin/misc/static/explain/js/explain_statistics.js
index 369a6717..6ae455ff 100644
--- a/web/pgadmin/misc/static/explain/js/explain_statistics.js
+++ b/web/pgadmin/misc/static/explain/js/explain_statistics.js
@@ -14,7 +14,7 @@ let StatisticsModel = Backbone.Model.extend({
 
     if (Object.keys(jit_stats).length > 0 ||
         Object.keys(triggers_stats).length > 0) {
-      $('.pg-explain-stats-area').removeClass('hidden');
+      $('.pg-explain-stats-area').removeClass('d-none');
     }
 
     $('.pg-explain-stats-area').on('mouseover', () => {
diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index 4e69788a..1e638742 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -232,7 +232,7 @@ define('misc.statistics', [
                 // notify user if request is taking longer than 1 second
 
                 $msgContainer.text(gettext('Retrieving data from the server...'));
-                $msgContainer.removeClass('hidden');
+                $msgContainer.removeClass('d-none');
                 if (self.grid) {
                   self.grid.remove();
                 }
@@ -265,17 +265,17 @@ define('misc.statistics', [
               $gridContainer.empty();
               $gridContainer.append(self.grid.$el);
 
-              if (!$msgContainer.hasClass('hidden')) {
-                $msgContainer.addClass('hidden');
+              if (!$msgContainer.hasClass('d-none')) {
+                $msgContainer.addClass('d-none');
               }
-              $gridContainer.removeClass('hidden');
+              $gridContainer.removeClass('d-none');
 
             } else if (res.info) {
-              if (!$gridContainer.hasClass('hidden')) {
-                $gridContainer.addClass('hidden');
+              if (!$gridContainer.hasClass('d-none')) {
+                $gridContainer.addClass('d-none');
               }
               $msgContainer.text(res.info);
-              $msgContainer.removeClass('hidden');
+              $msgContainer.removeClass('d-none');
             }
           })
           .fail(function(xhr, error, message) {
@@ -302,9 +302,9 @@ define('misc.statistics', [
       }
       if (msg != '') {
         // Hide the grid container and show the default message container
-        if (!$gridContainer.hasClass('hidden'))
-          $gridContainer.addClass('hidden');
-        $msgContainer.removeClass('hidden');
+        if (!$gridContainer.hasClass('d-none'))
+          $gridContainer.addClass('d-none');
+        $msgContainer.removeClass('d-none');
 
         $msgContainer.text(msg);
       }
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index e0575cc8..7bfbcb90 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -146,7 +146,7 @@ define([
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '  <span class="<%=Backform.controlClassName%> uneditable-input" <%=disabled ? "disabled" : ""%>>',
+      '  <span class="<%=Backform.controlClassName%> uneditable-input" <%=disabled ? "disabled readonly" : ""%>>',
       '    <%-value%>',
       '  </span>',
       '</div>',
@@ -358,7 +358,7 @@ define([
       '<% for (var i=0; i < options.length; i++) { %>',
       ' <% var option = options[i]; %>',
       ' <% if (option.value === rawValue) { %>',
-      ' <span class="<%=Backform.controlClassName%> uneditable-input" disabled><%-option.label%></span>',
+      ' <span class="<%=Backform.controlClassName%> uneditable-input" disabled readonly><%-option.label%></span>',
       ' <% } %>',
       '<% } %>',
       '<% if (helpMessage && helpMessage.length) { %>',
@@ -506,8 +506,8 @@ define([
     },
     template: {
       'header': _.template([
-        '<li role="presentation" <%=disabled ? "disabled" : ""%>>',
-        ' <a data-toggle="tab" tabindex="-1" data-tab-index="<%=tabIndex%>" href="#<%=cId%>"',
+        '<li class="nav-item" role="presentation" <%=disabled ? "disabled" : ""%>>',
+        ' <a class="nav-link" data-toggle="tab" tabindex="-1" data-tab-index="<%=tabIndex%>" href="#<%=cId%>"',
         '  id="<%=hId%>" aria-controls="<%=cId%>">',
         '<%=label%></a></li>',
       ].join(' ')),
@@ -538,7 +538,7 @@ define([
 
       var tabHead = $('<ul class="nav nav-tabs" role="tablist"></ul>')
         .appendTo(this.$el);
-      var tabContent = $('<ul class="tab-content pg-el-sm-12 pg-el-md-12 pg-el-lg-12 pg-el-xs-12"></ul>')
+      var tabContent = $('<div class="tab-content pg-el-sm-12 pg-el-md-12 pg-el-lg-12 pg-el-xs-12"></div>')
         .appendTo(this.$el);
 
       _.each(this.schema, function(o) {
@@ -584,12 +584,12 @@ define([
 
       var makeActive = tabHead.find('[id="' + c + '"]').first();
       if (makeActive.length == 1) {
-        makeActive.parent().addClass('active');
+        makeActive.addClass('active show');
         tabContent.find('#' + makeActive.attr('aria-controls'))
-          .addClass('in active');
+          .addClass('active show');
       } else {
-        tabHead.find('[role="presentation"]').first().addClass('active');
-        tabContent.find('[role="tabpanel"]').first().addClass('in active');
+        tabHead.find('.nav-link').first().addClass('active show');
+        tabContent.find('.tab-pane').first().addClass('active show');
       }
 
       return this;
@@ -634,7 +634,7 @@ define([
     },
     fieldsetClass: Backform.setGroupClassName,
     legendClass: 'badge',
-    contentClass: Backform.setGroupContentClassName + ' collapse in',
+    contentClass: Backform.setGroupContentClassName + ' collapse show',
     template: {
       'header': _.template([
         '<fieldset class="<%=fieldsetClass%>" <%=disabled ? "disabled" : ""%>>',
@@ -990,7 +990,7 @@ define([
         gridHeader = _.template([
           '<div class="subnode-header">',
           '  <label class="control-label pg-el-sm-10"><%-label%></label>',
-          '  <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + _('Add new row') + '"><%-add_label%></button>',
+          '  <button class="btn btn-sm-sq btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + _('Add new row') + '"><%-add_label%></button>',
           '</div>',
         ].join('\n')),
         gridBody = $('<div class="pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode"></div>').append(
@@ -1258,7 +1258,7 @@ define([
       var self = this,
         gridHeader = ['<div class=\'subnode-header\'>',
           '  <label class=\'control-label pg-el-sm-10\'>' + data.label + '</label>',
-          '  <button class=\'btn-sm btn-default add fa fa-plus\' title=\'' + _('Add new row') + '\'></button>',
+          '  <button class=\'btn btn-sm-sq btn-default add fa fa-plus\' title=\'' + _('Add new row') + '\'></button>',
           '</div>',
         ].join('\n'),
         gridBody = $('<div class=\'pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode\'></div>').append(gridHeader);
@@ -2261,14 +2261,16 @@ define([
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '<div class="file_selection_ctrl form-control">',
-      '<input type="<%=type%>" class="browse_file_input form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
-      '<button class="btn fa fa-ellipsis-h select_item pull-right" <%=disabled ? "disabled" : ""%> ></button>',
+      '<div class="input-group">',
+      '<input type="<%=type%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '<div class="input-group-append">',
+      '<button class="btn btn-outline-secondary fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> ></button>',
+      '</div>',
+      '</div>',
       '<% if (helpMessage && helpMessage.length) { %>',
       '<span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '<% } %>',
       '</div>',
-      '</div>',
     ].join('\n')),
     events: function() {
       // Inherit all default events of InputControl
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index 2e87fbf2..e9cd9757 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -825,7 +825,7 @@ define([
             headerCell: Backgrid.Extension.CustomHeaderIconCell,
             cellHeaderClasses: 'width_percent_100',
           }],
-          gridBody = $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>');
+          gridBody = $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>');
 
         this.$el.attr('tabindex', '1');
 
diff --git a/web/pgadmin/static/js/keyboard_shortcuts.js b/web/pgadmin/static/js/keyboard_shortcuts.js
index 667129dd..c4187687 100644
--- a/web/pgadmin/static/js/keyboard_shortcuts.js
+++ b/web/pgadmin/static/js/keyboard_shortcuts.js
@@ -217,6 +217,11 @@ function keyboardShortcutsQueryTool(
     queryToolActions.uncommentLineCode(sqlEditorController);
   }  else if (keyCode == ESC_KEY) {
     queryToolActions.focusOut(sqlEditorController);
+    /*Apply only for sub-dropdown*/
+    if($(event.target).hasClass('dropdown-item')
+        && $(event.target).closest('.dropdown-submenu').length > 0) {
+      $(event.target).closest('.dropdown-submenu').find('.dropdown-menu').removeClass('show');
+    }
   } else if(this.validateShortcutKeys(nextPanelKeys, event)) {
     this._stopEventPropagation(event);
     panel_id = this.getInnerPanel(sqlEditorController.container, 'right');
@@ -229,22 +234,26 @@ function keyboardShortcutsQueryTool(
       this._stopEventPropagation(event);
       let currLi = $(event.target).closest('li');
       /*close all the submenus on movement*/
-      $(event.target).closest('.dropdown-menu').find('.open').removeClass('open');
+      $(event.target).closest('.dropdown-menu').find('.show').removeClass('show');
+
+      if(keyCode === UP_KEY) {
+        currLi = currLi.prev();
+      }
+      else if(keyCode === DOWN_KEY){
+        currLi = currLi.next();
+      }
 
-      /*do not focus on divider*/
-      let isDivider = true;
-      while(isDivider) {
+      /*do not focus on divider and disabled */
+      while(currLi.hasClass('dropdown-divider')
+        || currLi.find('.dropdown-item').first().hasClass('disabled')) {
         if(keyCode === UP_KEY) {
           currLi = currLi.prev();
         }
         else if(keyCode === DOWN_KEY){
           currLi = currLi.next();
         }
-        if(!currLi.hasClass('divider')) {
-          isDivider = false;
-        }
       }
-      currLi.find('a:first').trigger('focus');
+      currLi.find('.dropdown-item').trigger('focus');
     }
   } else if(keyCode === LEFT_KEY || keyCode === RIGHT_KEY) {
     /*Apply only for dropdown*/
@@ -255,22 +264,21 @@ function keyboardShortcutsQueryTool(
       if(keyCode === RIGHT_KEY) {
         /*open submenu if any*/
         if(currLi.hasClass('dropdown-submenu')){
-          currLi.addClass('open');
-          currLi = currLi.find('.dropdown-menu li:first-child');
+          currLi.find('.dropdown-menu').addClass('show');
+          currLi = currLi.find('.dropdown-menu .dropdown-item').first().trigger('focus');
         }
       } else if(keyCode === LEFT_KEY) {
         /*close submenu*/
-        let currLiMenu = currLi.closest('.dropdown-menu');
-        if(currLiMenu.closest('.dropdown-submenu').length > 0) {
-          currLiMenu.closest('.dropdown-submenu').removeClass('open');
-          currLi = currLiMenu.closest('.dropdown-submenu');
+        let currMenu = currLi.closest('.dropdown-menu');
+        if(currMenu.closest('.dropdown-submenu').length > 0) {
+          currMenu.removeClass('show');
+          currLi = currMenu.closest('.dropdown-submenu');
+          currLi.find('.dropdown-item').trigger('focus');
         }
       }
-      currLi.find('a:first').trigger('focus');
     }
   }
 
-
   return panel_id;
 }
 
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog.js b/web/pgadmin/static/js/sqleditor/filter_dialog.js
index 7f86a254..da59e86d 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog.js
@@ -112,7 +112,7 @@ let FilterDialog = {
             this.__internal.buttons[1].element.disabled = true;
 
             // Status bar
-            this.statusBar = $('<div class=\'pg-prop-status-bar pg-el-xs-12 hide\'>' +
+            this.statusBar = $('<div class=\'pg-prop-status-bar pg-el-xs-12 d-none\'>' +
               '  <div class=\'media error-in-footer bg-danger-lighter border-danger-light text-danger text-14\'>' +
               '    <div class=\'media-body media-middle\'>' +
               '      <div class=\'alert-icon error-icon\'>' +
@@ -128,7 +128,7 @@ let FilterDialog = {
 
             // To show progress on filter Saving/Updating on AJAX
             this.showFilterProgress = $(
-              '<div id="show_filter_progress" class="wcLoadingIconContainer busy-fetching hidden">' +
+              '<div id="show_filter_progress" class="wcLoadingIconContainer busy-fetching d-none">' +
               '<div class="wcLoadingBackground"></div>' +
               '<span class="wcLoadingIcon fa fa-spinner fa-pulse"></span>' +
               '<span class="busy-text wcLoadingLabel">' + gettext('Loading data...') + '</span>' +
@@ -136,7 +136,7 @@ let FilterDialog = {
 
             $(
               self.showFilterProgress[0]
-            ).removeClass('hidden');
+            ).removeClass('d-none');
 
             self.filterCollectionModel = filterDialogModel(response);
 
@@ -159,14 +159,14 @@ let FilterDialog = {
             // Enable/disable save button and show/hide statusbar based on session
             view.listenTo(view.model, 'pgadmin-session:start', function() {
               view.listenTo(view.model, 'pgadmin-session:invalid', function(msg) {
-                self.statusBar.removeClass('hide');
+                self.statusBar.removeClass('d-none');
                 $(self.statusBar.find('.alert-text')).html(msg);
                 // Disable Okay button
                 self.__internal.buttons[1].element.disabled = true;
               });
 
               view.listenTo(view.model, 'pgadmin-session:valid', function() {
-                self.statusBar.addClass('hide');
+                self.statusBar.addClass('d-none');
                 $(self.statusBar.find('.alert-text')).html('');
                 // Enable Okay button
                 self.__internal.buttons[1].element.disabled = false;
@@ -188,7 +188,7 @@ let FilterDialog = {
             // Hide Progress ...
             $(
               self.showFilterProgress[0]
-            ).addClass('hidden');
+            ).addClass('d-none');
 
           },
           // Callback functions when click on the buttons of the Alertify dialogs
@@ -208,7 +208,7 @@ let FilterDialog = {
               // Show Progress ...
               $(
                 self.showFilterProgress[0]
-              ).removeClass('hidden');
+              ).removeClass('d-none');
 
               axios.put(
                 url_for('sqleditor.set_filter_data', {
@@ -219,7 +219,7 @@ let FilterDialog = {
                 // Hide Progress ...
                 $(
                   self.showFilterProgress[0]
-                ).addClass('hidden');
+                ).addClass('d-none');
 
                 let response = result.data.data;
 
@@ -242,7 +242,7 @@ let FilterDialog = {
                 // Hide Progress ...
                 $(
                   self.showFilterProgress[0]
-                ).addClass('hidden');
+                ).addClass('d-none');
                 handler.onExecuteHTTPError(error);
 
                 setTimeout(
diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index bebe62aa..9548bd45 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -158,7 +158,7 @@ class BackupMessage(IProcessDesc):
     def details(self, cmd, args):
         name, host, port = self.get_server_details()
 
-        res = '<div class="h5">'
+        res = '<div>'
 
         if self.backup_type == BACKUP.OBJECT:
             res += _(
@@ -193,7 +193,7 @@ class BackupMessage(IProcessDesc):
             # It should never reach here.
             res += "Backup"
 
-        res += '</div><div class="h5">'
+        res += '</div><div>'
         res += _("Running command:")
         res += '</b><br><span class="pg-bg-cmd enable-selection">'
         res += html.safe_str(cmd + self.cmd)
diff --git a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js b/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
index 2cebe3d1..92de82f7 100644
--- a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
+++ b/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
@@ -29,8 +29,8 @@ export class BackupDialogWrapper extends DialogWrapper {
   setup() {
     return {
       buttons: [{
-        text: '',
-        className: 'btn btn-default pull-left fa fa-lg fa-info',
+        text: '<span class="fa fa-lg fa-info"></span>',
+        className: 'btn btn-default pull-left',
         attrs: {
           name: 'object_help',
           type: 'button',
@@ -38,9 +38,9 @@ export class BackupDialogWrapper extends DialogWrapper {
           label: gettext('Backup'),
         },
       }, {
-        text: '',
+        text: '<span class="fa fa-lg fa-question"></span>',
         key: 112,
-        className: 'btn btn-default pull-left fa fa-lg fa-question',
+        className: 'btn btn-default pull-left',
         attrs: {
           name: 'dialog_help',
           type: 'button',
diff --git a/web/pgadmin/tools/import_export/__init__.py b/web/pgadmin/tools/import_export/__init__.py
index 9160a8e0..fddcfc06 100644
--- a/web/pgadmin/tools/import_export/__init__.py
+++ b/web/pgadmin/tools/import_export/__init__.py
@@ -125,7 +125,7 @@ class IEMessage(IProcessDesc):
             id=self.sid, user_id=current_user.id
         ).first()
 
-        res = '<div class="h5">'
+        res = '<div>'
         res += _(
             "Copying table data '{0}.{1}' on database '{2}' "
             "for the server '{3}'..."
@@ -140,7 +140,7 @@ class IEMessage(IProcessDesc):
             )
         )
 
-        res += '</div><div class="h5">'
+        res += '</div><div>'
         res += _("Running command:")
         res += '</b><br><span class="pg-bg-cmd enable-selection">'
         res += html.safe_str(self._cmd)
diff --git a/web/pgadmin/tools/maintenance/__init__.py b/web/pgadmin/tools/maintenance/__init__.py
index d9f44b83..f7fbdb05 100644
--- a/web/pgadmin/tools/maintenance/__init__.py
+++ b/web/pgadmin/tools/maintenance/__init__.py
@@ -128,9 +128,9 @@ class Message(IProcessDesc):
         if self.data['op'] == "CLUSTER":
             res = _('CLUSTER')
 
-        res = '<div class="h5">' + html.safe_str(res)
+        res = '<div>' + html.safe_str(res)
 
-        res += '</div><div class="h5">'
+        res += '</div><div>'
         res += html.safe_str(
             _("Running Query:")
         )
